Bug 602491 - [abrt] crash in rabbitvcs-core-0.13.2-1.fc13: __init__.py:664:get_repo_root_url:ClientError: callback_get_login required
Summary: [abrt] crash in rabbitvcs-core-0.13.2-1.fc13: __init__.py:664:get_repo_root_u...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitvcs   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Juan Manuel Rodriguez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7ae74c25
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 23:56 UTC by Claudio Rodrigo Pereyra DIaz
Modified: 2010-06-23 17:54 UTC (History)
1 user (show)

Fixed In Version: rabbitvcs-0.13.3-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 17:54:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (877 bytes, text/plain)
2010-06-09 23:56 UTC, Claudio Rodrigo Pereyra DIaz
no flags Details

Description Claudio Rodrigo Pereyra DIaz 2010-06-09 23:56:42 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/lib/python2.6/site-packages/rabbitvcs/ui/browser.py ''
component: rabbitvcs
executable: /usr/lib/python2.6/site-packages/rabbitvcs/ui/browser.py
kernel: 2.6.33.5-112.fc13.x86_64
package: rabbitvcs-core-0.13.2-1.fc13
reason: __init__.py:664:get_repo_root_url:ClientError: callback_get_login required
release: Fedora release 13 (Goddard)

backtrace
-----
__init__.py:664:get_repo_root_url:ClientError: callback_get_login required

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/rabbitvcs/ui/widget.py", line 673, in __revision_browse_clicked
    ok_callback=self.__log_closed
  File "/usr/lib/python2.6/site-packages/rabbitvcs/ui/log.py", line 423, in __init__
    Log.__init__(self, path)
  File "/usr/lib/python2.6/site-packages/rabbitvcs/ui/log.py", line 109, in __init__
    self.root_url = self.vcs.get_repo_root_url(self.path)
  File "/usr/lib/python2.6/site-packages/rabbitvcs/lib/vcs/svn/__init__.py", line 664, in get_repo_root_url
    info = self.client.info2(path, recurse=False)
ClientError: callback_get_login required

Local variables in innermost frame:
path: 'http://4swalter.dnsdojo.com:8080/svn/visual_net/NET_2008/4sInmuebles/'
self: <rabbitvcs.lib.vcs.svn.SVN instance at 0x23745f0>

Comment 1 Claudio Rodrigo Pereyra DIaz 2010-06-09 23:56:45 UTC
Created attachment 422733 [details]
File: backtrace

Comment 2 Fedora Update System 2010-06-16 19:25:33 UTC
rabbitvcs-0.13.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rabbitvcs-0.13.3-1.fc12

Comment 3 Fedora Update System 2010-06-21 13:08:01 UTC
rabbitvcs-0.13.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rabbitvcs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rabbitvcs-0.13.3-1.fc12

Comment 4 Fedora Update System 2010-06-23 17:54:30 UTC
rabbitvcs-0.13.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.